package com.hai.service;

import com.hai.entity.HighUser;

import java.util.List;
import java.util.Map;

/**
 * @ClassName: HighUserService
 * @Description: 用户管理
 * @author: 袁野
 * @date: 2019/10/28 9:46
 * @Copyright: 2021 www.high.com Inc. All rights reserved.
 */
public interface HighUserService {

    /**
     *
     * @Title: getListUser
     * @Description:  查询用户列表
     * @author: Sum1Dream
     * @param: [map] map参数
     * @return: java.util.List<com.high.entity.HighUser>
     * @throws Exception 抛出异常
     */

    List<HighUser> getListUser(Map<String , String> map) throws Exception;

    /**
     *
     * @Title: findByUserId
     * @Description:  查询用户详情
     * @author: Sum1Dream
     * @param: userId 用户id
     * @return: HighUser
     */
    HighUser findByUserId(Long userId);

}
