package com.hai.service.impl;


import com.hai.dao.HighMerchantStoreMapper;
import com.hai.entity.HighMerchantStore;
import com.hai.entity.HighMerchantStoreExample;
import com.hai.service.HighMerchantStoreService;
import org.apache.commons.collections4.MapUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service("highMerchantStoreService")
public class HighMerchantStoreServiceImpl implements HighMerchantStoreService {

    @Resource
    private HighMerchantStoreMapper highMerchantStoreMapper;

    @Override
    public void editMerchantStore(HighMerchantStore highMerchantStore) {
        if (highMerchantStore.getId() != null) {
            highMerchantStoreMapper.updateByPrimaryKey(highMerchantStore);
        } else {
            highMerchantStoreMapper.insert(highMerchantStore);
        }
    }

    @Override
    public HighMerchantStore getMerchantStoreById(Long id) {
        return highMerchantStoreMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<HighMerchantStore> getMerchantStoreList(Map<String, Object> map) {
        HighMerchantStoreExample example = new HighMerchantStoreExample();
        HighMerchantStoreExample.Criteria criteria = example.createCriteria();

        if (MapUtils.getLong(map, "companyId") != null) {
            criteria.andCompanyIdEqualTo(MapUtils.getLong(map, "companyId"));
        }

        if (MapUtils.getLong(map, "merchantId") != null) {
            criteria.andMerchantIdEqualTo(MapUtils.getLong(map, "merchantId"));
        }

        if (StringUtils.isNotBlank(MapUtils.getString(map, "storeKey"))) {
            criteria.andStoreKeyEqualTo(MapUtils.getString(map, "storeKey"));
        }

        if (StringUtils.isNotBlank(MapUtils.getString(map, "storeName"))) {
            criteria.andStoreNameLike("%" + MapUtils.getString(map, "storeName") + "%");
        }

        if (StringUtils.isNotBlank(MapUtils.getString(map, "telephone"))) {
            criteria.andTelephoneEqualTo("%" + MapUtils.getString(map, "telephone") + "%");
        }

        example.setOrderByClause("create_time desc");
        return highMerchantStoreMapper.selectByExample(example);
    }
}
